<script setup lang="ts">
const toggleClass = (id: any) => {
  const target = document.querySelector(id)
  target.classList.toggle('active')
}
</script>

<template>
  <div>
    <table aria-describedby="table" class="table collapse-table table-hover">
      <thead class="table-main">
        <tr class="thead-tr">
          <th></th>
          <th class="font-zh-p-regular" scope="col">主要工作代號</th>
          <th class="font-zh-p-regular" scope="col">主要工作名稱</th>
          <th class="font-zh-p-regular" scope="col">順序</th>
          <th class="font-zh-p-regular" scope="col"></th>
        </tr>
      </thead>
      <tbody class="tbody-striped">
        <tr
          id="tr1"
          class="accordion-toggle"
          data-bs-target="#table1"
          data-bs-toggle="collapse"
          @click="toggleClass('#tr1')"
        >
          <td class="arrow-td">
            <a class="icon-arrow-down" href="javascript:void(0)"></a>
          </td>
          <td>syscode01</td>
          <td>啓動式上量</td>
          <td>1</td>
          <td
            class="icons-column font-zh-small-regular operation-btn-list d-flex justify-content-center"
          >
            <a class="icon-create-circle" href="javascript:void(0)"></a>
            <a class="icon-edit" href="javascript:void(0)"></a>
          </td>
        </tr>
        <tr class="sub-table-row">
          <td class="font-zh-small-regular sub-table-collapse" colspan="12">
            <div id="table1" class="collapse">
              <table class="table table-striped">
                <tbody>
                  <tr>
                    <td class="branch"></td>
                    <td><p>syscode01</p></td>
                    <td>啓動式上量</td>
                    <td>1</td>
                    <td
                      class="icons-column font-zh-small-regular operation-btn-list d-flex justify-content-center"
                    >
                      <a class="icon-edit" href="javascript:void(0)"></a>
                    </td>
                  </tr>

                  <tr>
                    <td class="branch-last"></td>
                    <td><p>syscode01</p></td>
                    <td>啓動式上量</td>
                    <td>1</td>
                    <td
                      class="icons-column font-zh-small-regular operation-btn-list d-flex justify-content-center"
                    >
                      <a class="icon-edit" href="javascript:void(0)"></a>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </td>
        </tr>
        <tr
          id="tr2"
          class="accordion-toggle"
          data-bs-target="#table2"
          data-bs-toggle="collapse"
          @click="toggleClass('#tr2')"
        >
          <td class="arrow-td">
            <a class="icon-arrow-down" href="javascript:void(0)"></a>
          </td>
          <td>syscode02</td>
          <td>啓動式上量</td>
          <td>1</td>
          <td
            class="icons-column font-zh-small-regular operation-btn-list d-flex justify-content-center"
          >
            <a class="icon-create-circle" href="javascript:void(0)"></a>
            <a class="icon-edit" href="javascript:void(0)"></a>
          </td>
        </tr>
        <tr class="sub-table-row">
          <td class="font-zh-small-regular sub-table-collapse" colspan="12">
            <div id="table2" class="collapse">
              <table class="table table-striped">
                <tbody>
                  <tr>
                    <td class="branch"></td>
                    <td>syscode02</td>
                    <td>啓動式上量</td>
                    <td>2</td>
                    <td
                      class="icons-column font-zh-small-regular operation-btn-list d-flex justify-content-center"
                    >
                      <a class="icon-edit" href="javascript:void(0)"></a>
                    </td>
                  </tr>

                  <tr>
                    <td class="branch-last"></td>
                    <td>syscode02</td>
                    <td>啓動式上量</td>
                    <td>2</td>
                    <td
                      class="icons-column font-zh-small-regular operation-btn-list d-flex justify-content-center"
                    >
                      <a class="icon-edit" href="javascript:void(0)"></a>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<style lang="scss" scoped>
/** style */
</style>
